#
# spec file for package fcitx-rime
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           fcitx-rime
Version:        0.3.1
Release:        6.1
Summary:        Rime input engine support for Fcitx
License:        GPL-2.0+
Group:          System/I18n/Chinese
Url:            https://github.com/fcitx/fcitx-rime
Source:         http://download.fcitx-im.org/fcitx-rime/%{name}-%{version}.tar.xz
BuildRequires:  brise
BuildRequires:  cmake
BuildRequires:  fcitx-devel
BuildRequires:  fcitx-skin-classic
BuildRequires:  fcitx-skin-dark
BuildRequires:  fdupes
BuildRequires:  gcc-c++
BuildRequires:  hicolor-icon-theme
BuildRequires:  intltool
BuildRequires:  librime-devel
%if 0%{?fedora_version}
# resolve "have choice"
BuildRequires:  libyaml-cpp0_3
%endif
BuildRequires:  xz
# explicitly requires brise (rime-data)
Requires:       brise
%{fcitx_requires}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Rime is an Traditional Chinese input method engine.
Its idea comes from ancient Chinese brush and carving art.
Mainly it's about to express your thinking with your keystrokes.

This package is the Fcitx implentation of RIME.

%prep
%setup -q

%build
mkdir -p build
pushd build
cmake -DCMAKE_INSTALL_PREFIX=%{_prefix} ..
make %{?_smp_mflags}

%install
pushd build
%make_install
popd

%find_lang %{name}

%if 0%{?suse_version}
%fdupes %{buildroot}
%else
fdupes -nqr %{buildroot}
%endif

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root)
%doc README.md COPYING
%{_fcitx_libdir}/%{name}.so
%{_fcitx_addondir}/%{name}.conf
%{_fcitx_inputmethoddir}/rime.conf
%{_fcitx_imicondir}/rime.png
%{_fcitx_skindir}/default/rime-*.png
%{_datadir}/icons/hicolor/48x48/apps/*.png
%{_datadir}/icons/hicolor/*/status/*.*

%changelog
* Mon Jun  9 2014 i@marguerite.su
- update version 0.3.1
  * Fix github issues fcitx/fcitx-rime#14
* Mon Nov 18 2013 i@marguerite.su
- update version 0.3.0
  * compatibility for rime 1.0 release.
* Sat Jul 13 2013 i@marguerite.su
- update version 0.2.2
  * Fix Issue 11
  * Fix Issue 12
  * Update icon artwork
  * Add License
- remove patch: fcitx-rime-0.2.1-Caplocks_never_response_second_request.patch
  * got upstreamed
* Fri Jul  5 2013 i@marguerite.su
- add patch: fcitx-rime-0.2.1-Caplocks_never_response_second_request.patch
  * Phenomenon: When inputing Chinese, users hit Capslock to enter
    Capital letters, then fcitx-rime will enter ASCII mode. But
    the second or further Capslock won't change ASCII mode back
    to Chinese pinyin mode unless users hit Shift.
  * Cause: Rime reads bitmask FcitxKeyState_CapsLock to detect
    whether CapsLock is on, but fcitx-rime frontend didn't
    provide such use.
* Sat Jun 22 2013 i@marguerite.su
- update version 0.2.1
  * fixes some bug and add some manual syncing feature,
    and implement redeploy properly
* Fri Feb  1 2013 i@marguerite.su
- explicitly requires: brise.
  it is librime's data file, without it, fcitx-rime is a skeleton.
* Sat Jan 26 2013 i@marguerite.su
- update version 0.2.0
  * re-deploy support
* Thu Oct 11 2012 i@marguerite.su
- update version 0.1.2
  * build with librime 0.9.4
* Sat Sep 15 2012 i@marguerite.su
- update version 0.1.1
  * brise path fix. thanks to Marguerite Su.
* Mon Aug 13 2012 i@marguerite.su
- update source to include COPYING, fix #bnc775644
* Wed Jul 25 2012 i@marguerite.su
- auto detect brise.
* Mon Jul 23 2012 jzheng@suse.com
- add fcitx-rime-paralled-build.patch to enable parallel build
- remove LIB_INSTALL_DIR to clear the unused variable warning
* Sat Jul 21 2012 i@marguerite.su
- initial version 0.1.0
